cURL
curl --request POST \
--url https://api.buildwithchirp.com/v1/whatsapp/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whatsappBusinessProfileId": "wabp_abc123",
"name": "order_confirmation",
"language": "en_US",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hello {{customer_name}}, your order #{{order_id}} has been confirmed!"
}
]
}
'import requests
url = "https://api.buildwithchirp.com/v1/whatsapp/templates"
payload = {
"whatsappBusinessProfileId": "wabp_abc123",
"name": "order_confirmation",
"language": "en_US",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hello {{customer_name}}, your order #{{order_id}} has been confirmed!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whatsappBusinessProfileId: 'wabp_abc123',
name: 'order_confirmation',
language: 'en_US',
category: 'UTILITY',
components: [
{
type: 'BODY',
text: 'Hello {{customer_name}}, your order #{{order_id}} has been confirmed!'
}
]
})
};
fetch('https://api.buildwithchirp.com/v1/whatsapp/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"whatsappBusinessProfileId": "<string>",
"metaTemplateId": "<string>",
"name": "<string>",
"language": "<string>",
"components": [
{
"text": "<string>",
"example": {
"header_text": [
"<string>"
],
"header_handle": [
"<string>"
],
"body_text": [
[
"<string>"
]
]
},
"buttons": [
{
"text": "<string>",
"url": "<string>",
"phone_number": "<string>",
"example": [
"<string>"
]
}
]
}
],
"variableMapping": {},
"rejectionReason": "<string>",
"qualityScore": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}WhatsApp Templates
Create app template
Create a new WhatsApp message template. The template will be submitted to Meta for review and automatically linked to this app for webhook events.
POST
/
v1
/
whatsapp
/
templates
cURL
Authorizations
App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations
Body
application/json
The ID of the WhatsApp Business Profile to create the template for
Example:
"wabp_abc123"
Template name (lowercase letters, numbers, underscores only, must start with a letter)
Required string length:
1 - 512Pattern:
^[a-z][a-z0-9_]*$Example:
"order_confirmation"
Language code (BCP 47 format)
Required string length:
2 - 10Example:
"en_US"
Template category
Available options:
MARKETING, UTILITY, AUTHENTICATION Example:
"UTILITY"
Template components (must include at least a BODY)
Minimum array length:
1Show child attributes
Show child attributes
Example:
[
{
"type": "BODY",
"text": "Hello {{customer_name}}, your order #{{order_id}} has been confirmed!"
}
]
Response
Template created and linked to app
Available options:
MARKETING, UTILITY, AUTHENTICATION Available options:
PENDING, APPROVED, REJECTED, PAUSED, DISABLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I